Package com.emc.documentum.rest.view.annotation

# Annotation Interface ResourceViewBinding

@Documented @Target({TYPE,METHOD}) @Retention(RUNTIME) public @interface ResourceViewBinding
An annotation used on a controller class or a controller method to bind the view definition to the resource operation output. This annotation can only be used on the implementation class of `AbstractController`.

- ## Required Element Summary

  Required Elements
  Modifier and Type
  Required Element
  Description
  `Class[]`
  `value`
  The resource view classes bound to the resource controller.

- ## Optional Element Summary

  Optional Elements
  Modifier and Type
  Optional Element
  Description
  `String[]`
  `queryTypes`
  Queryable object types for the resource; when the query types are specified, a DQL query resource will use the data views `LinkableView` which are bound to this resource controller with `value()` to generate the 'edit' link for the query result item of the specified query types.

- ## Element Details

  - ### value

    Class[] value
    The resource view classes bound to the resource controller. A resource controller can have multiple view definitions. When a view definition is bound to the resource controller, the controller method will look up an appropriate view to render the returning model instance before the model instance is returned. When multiple views are defined, each view definition must be corresponding to a different model class. There could be at most one `FeedableView` definition in the annotation since `FeedableView` is corresponding to the data model `AtomFeed`.
    Returns:
      view classes bound to the resource controller.
    See Also:
      - `DataViewBinding`
      - `FeedViewBinding`

- - ### queryTypes

    String[] queryTypes
    Queryable object types for the resource; when the query types are specified, a DQL query resource will use the data views `LinkableView` which are bound to this resource controller with `value()` to generate the 'edit' link for the query result item of the specified query types. This attribute is only applicable on the class level annotation of the controller. Query types setting on the method annotation are ignored. To use query types, the `value()` must exactly contain one `LinkableView` on the same annotation.
    Returns:
      query types bound to the controller.
    Default:
      {}